#ifndef _KGR_PATCH_BSC1053153_H
#define _KGR_PATCH_BSC1053153_H

int kgr_patch_bsc1053153_init(void);
void kgr_patch_bsc1053153_cleanup(void);

struct inode;
struct file;
struct itimerspec;

int kgr_timerfd_release(struct inode *inode, struct file *file);
int kgr_do_timerfd_settime(int ufd, int flags,
		const struct itimerspec *new,
		struct itimerspec *old);
asmlinkage long kgr_sys_timerfd_create(int clockid, int flags);

#define KGR_PATCH_BSC1053153_FUNCS				\
	KGR_PATCH(timerfd_release, kgr_timerfd_release),	\
	KGR_PATCH(do_timerfd_settime, kgr_do_timerfd_settime),	\
	KGR_PATCH(SyS_timerfd_create, kgr_sys_timerfd_create),

#endif
